Back
post /v1/organizations/{organizationId}/spaces

Create space

Creates a space or organization template. Set templateType to organization to create a template. Set templateSpaceId to create an independent ordinary space from a template; when it is set, only name may also be provided.

path params

organizationIdstring required

Request body

name String Required when template_space_id is omitted. When creating from a template, this optionally overrides the template's name.

type String ENUM

otherTypeName String

organizationSharing String ENUM

linkSharing String ENUM

publicSharing String ENUM

tags Array of String

templateType String Creates an ordinary space or an organization template.

iconName String

enableProgressTracking Boolean

onlyAllowExistingOrganizationMembers Boolean

allowBlockSharingOrganizationMembers Boolean

allowBlockSharingPublic Boolean

allowBlockSharingUsers Boolean

templateSpaceId String Creates an independent space from this template. When set, every other creation setting except name must be omitted.

Responses

Was this guide helpful?